# WOK
TKWOK
WOKBuilder

# WOKBuilder_WNTCollector Class Reference

defines abstract class to provide collection of
input files ( Windows NT specific )

`#include <WOKBuilder_WNTCollector.hxx>`

Inheritance diagram for WOKBuilder_WNTCollector:

[legend]

## Public Member Functions

Standard_EXPORT void | SetTargetName (const Handle(TCollection_HAsciiString)&aName)
| sets name for target
Standard_EXPORT Handle_TCollection_HAsciiString | TargetName () const
| retrieves the target name
Standard_EXPORT Standard_Boolean | OpenCommandFile ()
| creates tool command file
Standard_EXPORT Standard_Boolean | CloseCommandFile ()
| closes tool command file
virtual Standard_EXPORT Handle_TCollection_HAsciiString | EvalCFExt ()=0
| evaluates extension for name of the command file
virtual Standard_EXPORT Handle_TCollection_HAsciiString | EvalHeader ()=0
| evaluats tool command line
Standard_EXPORT void | ProduceObjectList (const Handle(WOKBuilder_HSequenceOfObjectFile)&anObjectList)
| writes list of the object files to the command file
virtual Standard_EXPORT Handle_TCollection_HAsciiString | EvalFooter ()=0
| evaluates additional information for the tool
Standard_EXPORT WOKBuilder_BuildStatus | Execute ()
| executes a tool ( library manager )
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | WOKBuilder_WNTCollector (const Handle(TCollection_HAsciiString)&aName, const WOKUtils_Param &aParams)
| initialization

## Protected Attributes

Handle_TCollection_HAsciiString | myTargetName
OSD_File | myCommandFile

## Constructor & Destructor Documentation

Standard_EXPORT WOKBuilder_WNTCollector::WOKBuilder_WNTCollector | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const WOKUtils_Param & | aParams
| ) | `[protected]`

## Member Function Documentation

Standard_EXPORT Standard_Boolean WOKBuilder_WNTCollector::CloseCommandFile | ( |  | ) |

virtual Standard_EXPORT Handle_TCollection_HAsciiString WOKBuilder_WNTCollector::EvalCFExt | ( |  | ) | `[pure virtual]`

| Implemented in WOKBuilder_DLLinker, WOKBuilder_EXELinker, and WOKBuilder_WNTLibrarian.

virtual Standard_EXPORT Handle_TCollection_HAsciiString WOKBuilder_WNTCollector::EvalFooter | ( |  | ) | `[pure virtual]`

| Implemented in WOKBuilder_DLLinker, WOKBuilder_EXELinker, WOKBuilder_ImportLibrarian, and WOKBuilder_StaticLibrarian.

virtual Standard_EXPORT Handle_TCollection_HAsciiString WOKBuilder_WNTCollector::EvalHeader | ( |  | ) | `[pure virtual]`

| Implemented in WOKBuilder_DLLinker, WOKBuilder_EXELinker, WOKBuilder_ImportLibrarian, and WOKBuilder_StaticLibrarian.

Standard_EXPORT WOKBuilder_BuildStatus WOKBuilder_WNTCollector::Execute | ( |  | ) | `[virtual]`

| Implements WOKBuilder_Tool.

Standard_EXPORT const WOKBuilder_WNTCollector::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKBuilder_ToolInShell. Reimplemented in WOKBuilder_DLLinker, WOKBuilder_EXELinker, WOKBuilder_ImportLibrarian, WOKBuilder_StaticLibrarian, WOKBuilder_WNTLibrarian, and WOKBuilder_WNTLinker.

Standard_EXPORT Standard_Boolean WOKBuilder_WNTCollector::OpenCommandFile | ( |  | ) |

Standard_EXPORT void WOKBuilder_WNTCollector::ProduceObjectList | ( | const Handle(WOKBuilder_HSequenceOfObjectFile)& | anObjectList | ) |

Standard_EXPORT void WOKBuilder_WNTCollector::SetTargetName | ( | const Handle(TCollection_HAsciiString)& | aName | ) |

Standard_EXPORT Handle_TCollection_HAsciiString WOKBuilder_WNTCollector::TargetName | ( |  | ) | const

## Field Documentation

OSD_File WOKBuilder_WNTCollector::myCommandFile `[protected]`

Handle_TCollection_HAsciiString WOKBuilder_WNTCollector::myTargetName `[protected]`

The documentation for this class was generated from the following file:

- WOKBuilder_WNTCollector.hxx